import { _decorator, Component, Node, Event } from "cc";

import BaseUI from "../../scripts/base/BaseUI";
import { GameDetailLayer } from "../layer/GameDetailLayer";
import { Tips } from "../../scripts/mgr/Tips";

const { ccclass, property } = _decorator;

@ccclass("PlayGameItem")
export class PlayGameItem extends BaseUI {
  protected onLoad(): void {
    super.onLoad();
  }
  private gameId: number = 0;

  init(itemID: number) {
    this.gameId = itemID;
  }

  protected simpleOnBtnClick(name: string): void {
    if (name === "btn_play") {
      Tips.show("Coming soon");
      // GameDetailLayer.show(this.gameId, this.FindNode("icon_game"));
    }
  }
}
